## AgsFxPlaybackAudio

AgsFxPlaybackAudio — fx playback audio

## Stability Level

Stable, unless otherwise indicated

## Functions

gboolean | ags_fx_playback_audio_test_flags ()
void | ags_fx_playback_audio_set_flags ()
void | ags_fx_playback_audio_unset_flags ()
GList * | ags_fx_playback_audio_get_feed_audio_signal ()
void | ags_fx_playback_audio_add_feed_audio_signal ()
void | ags_fx_playback_audio_remove_feed_audio_signal ()
GList * | ags_fx_playback_audio_get_master_audio_signal ()
void | ags_fx_playback_audio_add_master_audio_signal ()
void | ags_fx_playback_audio_remove_master_audio_signal ()
void | ags_fx_playback_audio_open_audio_file ()
AgsFxPlaybackAudio * | ags_fx_playback_audio_new ()

## Properties

AgsPort * | bpm | Read / Write
AgsPort * | capture-mode | Read / Write
AgsPort * | delay | Read / Write
AgsPort * | do-export | Read / Write
AgsPort * | duration | Read / Write
AgsPort * | file-audio-channels | Read / Write
AgsPort * | file-buffer-size | Read / Write
AgsPort * | file-format | Read / Write
AgsPort * | file-samplerate | Read / Write
AgsPort * | filename | Read / Write
AgsPort * | loop | Read / Write
AgsPort * | loop-end | Read / Write
AgsPort * | loop-start | Read / Write
AgsPort * | tact | Read / Write

## Types and Values

#define | AGS_FX_PLAYBACK_AUDIO_DEFAULT_LOOP_START
#define | AGS_FX_PLAYBACK_AUDIO_DEFAULT_LOOP_END
enum | AgsFxPlaybackAudioFlags
enum | AgsFxPlaybackAudioCaptureMode

## Object Hierarchy

        GObject
        ╰── AgsRecall
            ╰── AgsRecallAudio
                ╰── AgsFxPlaybackAudio

## Includes

    #include <ags/audio/fx/ags_fx_playback_audio.h>

## Description

The AgsFxPlaybackAudio class provides ports to the effect processor.

## Functions

### ags_fx_playback_audio_test_flags ()

    gboolean
    ags_fx_playback_audio_test_flags (AgsFxPlaybackAudio *fx_playback_audio,
                                      guint flags);

Test `flags` of `fx_playback_audio` .

#### Parameters

fx_playback_audio | the AgsFxPlaybackAudio |
flags | the flags |

#### Returns

`TRUE` on success, otherwise `FALSE`

Since: 3.3.0

### ags_fx_playback_audio_set_flags ()

    void
    ags_fx_playback_audio_set_flags (AgsFxPlaybackAudio *fx_playback_audio,
                                     guint flags);

Set `flags` of `fx_playback_audio` .

#### Parameters

fx_playback_audio | the AgsFxPlaybackAudio |
flags | the flags |

Since: 3.3.0

### ags_fx_playback_audio_unset_flags ()

    void
    ags_fx_playback_audio_unset_flags (AgsFxPlaybackAudio *fx_playback_audio,
                                       guint flags);

Unset `flags` of `fx_playback_audio` .

#### Parameters

fx_playback_audio | the AgsFxPlaybackAudio |
flags | the flags |

Since: 3.3.0

### ags_fx_playback_audio_get_feed_audio_signal ()

    GList *
    ags_fx_playback_audio_get_feed_audio_signal
                                   (AgsFxPlaybackAudio *fx_playback_audio);

Get feed audio_signal of `fx_playback_audio` .

#### Parameters

fx_playback_audio | the AgsFxPlaybackAudio |

#### Returns

the GList containing feed audio_signal.

[element-type AgsAudio.AudioSignal][transfer full]

Since: 3.3.0

### ags_fx_playback_audio_add_feed_audio_signal ()

    void
    ags_fx_playback_audio_add_feed_audio_signal
                                   (AgsFxPlaybackAudio *fx_playback_audio,
                                    AgsAudioSignal *audio_signal);

Add `audio_signal` to `fx_playback_audio` .

#### Parameters

fx_playback_audio | the AgsFxPlaybackAudio |
audio_signal | the AgsAudioSignal |

Since: 3.3.0

### ags_fx_playback_audio_remove_feed_audio_signal ()

    void
    ags_fx_playback_audio_remove_feed_audio_signal
                                   (AgsFxPlaybackAudio *fx_playback_audio,
                                    AgsAudioSignal *audio_signal);

Remove `audio_signal` from `fx_playback_audio` .

#### Parameters

fx_playback_audio | the AgsFxPlaybackAudio |
audio_signal | the AgsAudioSignal |

Since: 3.3.0

### ags_fx_playback_audio_get_master_audio_signal ()

    GList *
    ags_fx_playback_audio_get_master_audio_signal
                                   (AgsFxPlaybackAudio *fx_playback_audio);

Get master audio_signal of `fx_playback_audio` .

#### Parameters

fx_playback_audio | the AgsFxPlaybackAudio |

#### Returns

the GList containing master audio_signal.

[element-type AgsAudio.AudioSignal][transfer full]

Since: 3.3.0

### ags_fx_playback_audio_add_master_audio_signal ()

    void
    ags_fx_playback_audio_add_master_audio_signal
                                   (AgsFxPlaybackAudio *fx_playback_audio,
                                    AgsAudioSignal *audio_signal);

Add `audio_signal` to `fx_playback_audio` .

#### Parameters

fx_playback_audio | the AgsFxPlaybackAudio |
audio_signal | the AgsAudioSignal |

Since: 3.3.0

### ags_fx_playback_audio_remove_master_audio_signal ()

    void
    ags_fx_playback_audio_remove_master_audio_signal
                                   (AgsFxPlaybackAudio *fx_playback_audio,
                                    AgsAudioSignal *audio_signal);

Remove `audio_signal` from `fx_playback_audio` .

#### Parameters

fx_playback_audio | the AgsFxPlaybackAudio |
audio_signal | the AgsAudioSignal |

Since: 3.3.0

### ags_fx_playback_audio_open_audio_file ()

    void
    ags_fx_playback_audio_open_audio_file (AgsFxPlaybackAudio *fx_playback_audio);

Open audio file of `fx_playback_audio` .

#### Parameters

fx_playback_audio | the AgsFxPlaybackAudio |

Since: 3.3.0

### ags_fx_playback_audio_new ()

    AgsFxPlaybackAudio *
    ags_fx_playback_audio_new (AgsAudio *audio);

Create a new instance of AgsFxPlaybackAudio

#### Parameters

audio | the AgsAudio |

#### Returns

the new AgsFxPlaybackAudio

Since: 3.3.0

## Types and Values

### AGS_FX_PLAYBACK_AUDIO_DEFAULT_LOOP_START

    #define AGS_FX_PLAYBACK_AUDIO_DEFAULT_LOOP_START (0)

### AGS_FX_PLAYBACK_AUDIO_DEFAULT_LOOP_END

    #define AGS_FX_PLAYBACK_AUDIO_DEFAULT_LOOP_END (64)

### enum AgsFxPlaybackAudioFlags

Enum values to enable specific feature of AgsFxPlaybackAudio.

#### Members

AGS_FX_PLAYBACK_AUDIO_PLAY | do play sound |
AGS_FX_PLAYBACK_AUDIO_RECORD | do record sound |
AGS_FX_PLAYBACK_AUDIO_FEED | do feed audio signal |
AGS_FX_PLAYBACK_AUDIO_MASTER | do master audio signal |

### enum AgsFxPlaybackAudioCaptureMode

Enum values to specify capture mode of AgsFxPlaybackAudio.

#### Members

AGS_FX_PLAYBACK_AUDIO_CAPTURE_MODE_DISCARD | discard capture |
AGS_FX_PLAYBACK_AUDIO_CAPTURE_MODE_NONE | capture none and preserve data |
AGS_FX_PLAYBACK_AUDIO_CAPTURE_MODE_REPLACE | capture replace any sound |
AGS_FX_PLAYBACK_AUDIO_CAPTURE_MODE_MIX | capture mix with existing sound |

## Property Details

### The `“bpm”` property

      “bpm”                      AgsPort *

The beats per minute.

Owner: AgsFxPlaybackAudio

Flags: Read / Write

Since: 3.3.0

### The `“capture-mode”` property

      “capture-mode”             AgsPort *

The capture mode.

Owner: AgsFxPlaybackAudio

Flags: Read / Write

Since: 3.3.0

### The `“delay”` property

      “delay”                    AgsPort *

The playback's delay.

Owner: AgsFxPlaybackAudio

Flags: Read / Write

Since: 3.3.0

### The `“do-export”` property

      “do-export”                AgsPort *

The do-export switch.

Owner: AgsFxPlaybackAudio

Flags: Read / Write

Since: 3.3.0

### The `“duration”` property

      “duration”                 AgsPort *

The playback's duration.

Owner: AgsFxPlaybackAudio

Flags: Read / Write

Since: 3.3.0

### The `“file-audio-channels”` property

      “file-audio-channels”      AgsPort *

The file's audio channel count.

Owner: AgsFxPlaybackAudio

Flags: Read / Write

Since: 3.3.0

### The `“file-buffer-size”` property

      “file-buffer-size”         AgsPort *

The file's buffer size.

Owner: AgsFxPlaybackAudio

Flags: Read / Write

Since: 3.3.0

### The `“file-format”` property

      “file-format”              AgsPort *

The file's format.

Owner: AgsFxPlaybackAudio

Flags: Read / Write

Since: 3.3.0

### The `“file-samplerate”` property

      “file-samplerate”          AgsPort *

The file's samplerate.

Owner: AgsFxPlaybackAudio

Flags: Read / Write

Since: 3.3.0

### The `“filename”` property

      “filename”                 AgsPort *

The filename to export.

Owner: AgsFxPlaybackAudio

Flags: Read / Write

Since: 3.3.0

### The `“loop”` property

      “loop”                     AgsPort *

Do loop.

Owner: AgsFxPlaybackAudio

Flags: Read / Write

Since: 3.3.0

### The `“loop-end”` property

      “loop-end”                 AgsPort *

The playback's loop-end.

Owner: AgsFxPlaybackAudio

Flags: Read / Write

Since: 3.3.0

### The `“loop-start”` property

      “loop-start”               AgsPort *

The playback's loop-start.

Owner: AgsFxPlaybackAudio

Flags: Read / Write

Since: 3.3.0

### The `“tact”` property

      “tact”                     AgsPort *

The tact segmentation.

Owner: AgsFxPlaybackAudio

Flags: Read / Write

Since: 3.3.0